%This program is for FFT plots
%04/02/2016, Hai sun
clc
%clear
%Reading the ticks for amplitude

%All the parameters, should be subjected to change.
fn=1.2266; % m*=1.343 cylinder natural frequency in water.
c_mech=0.02;% mechanical damping
D=0.0889; %cylinder diameter
m_osc=7.285775; % oscillating mass in total
Fs=200; % Hz; Sampling period in VCK

[FileName, PathName]=uigetfile({'*.csv';'*.dat'},'Select data');
fileID = fopen([PathName FileName]);
data=textscan(fileID, '%f %f %f %f %f', 'delimiter', ',');
disp(FileName)
fclose(fileID);


PositionTicks=data{1};
Mean=mean(PositionTicks);
PositionTicks=PositionTicks - Mean;

% A/D
AoverD_u=PositionTicks.*0.9144./22684./0.0889;
size_a=size(AoverD_u);
ticks=numel(AoverD_u);
tMax=0.005*ticks;tMiddle=tMax/ticks;t=0.005:tMiddle:tMax;t=t';

%FFT 
%if (strcmp(want_plot,'yes'))
X=AoverD_u;
Y=fft(X);
L=length(AoverD_u);
P2 = abs(Y/L);
P1 = P2(1:L/2+1);
P1(2:end-1) = 2*P1(2:end-1);
f = Fs*(0:(L/2))/L;
figure;semilogx(f,P1)
title('FFT Spectrum for Selected Cylinders')
xlabel('f (Hz)')
ylabel('|P1(f)|')
axis([1e-1 1e1 -0.1 3])
%end
